GridFire 0.0.1a General Purpose Nuclear Network

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
gridfire::MultiscalePartitioningEngineView::QSEGroup Struct Reference

Struct representing a QSE group. More...

## Public Member Functions
bool | operator< (const QSEGroup &other) const
| Less-than operator for QSEGroup, used for sorting.
bool | operator> (const QSEGroup &other) const
| Greater-than operator for QSEGroup.
bool | operator== (const QSEGroup &other) const
| Equality operator for QSEGroup.
bool | operator!= (const QSEGroup &other) const
| Inequality operator for QSEGroup.

## Public Attributes
std::set< size_t > | species_indices
| Indices of all species in this group.
bool | is_in_equilibrium = false
| Flag set by flux analysis.
std::set< size_t > | algebraic_indices
| Indices of algebraic species in this group.
std::set< size_t > | seed_indices
| Indices of dynamic species in this group.
double | mean_timescale
| Mean timescale of the group.

## Detailed Description

Struct representing a QSE group.

@purpose A container to hold all information about a set of species that are potentially in quasi-steady-state equilibrium with each other.

Definition at line 677 of file engine_multiscale.h.

## Member Function Documentation

## ◆ operator!=()

bool gridfire::MultiscalePartitioningEngineView::QSEGroup::operator!= | ( | const QSEGroup & | other | ) | const

Inequality operator for QSEGroup.

Parameters

  other | The other QSEGroup to compare to.

Returns
  True if the sets of species indices are not identical.

Definition at line 1608 of file engine_multiscale.cpp.

## ◆ operator<()

bool gridfire::MultiscalePartitioningEngineView::QSEGroup::operator< | ( | const QSEGroup & | other | ) | const

Less-than operator for QSEGroup, used for sorting.

Parameters

  other | The other QSEGroup to compare to.

Returns
  True if this group's mean timescale is less than the other's.

Definition at line 1600 of file engine_multiscale.cpp.

## ◆ operator==()

bool gridfire::MultiscalePartitioningEngineView::QSEGroup::operator== | ( | const QSEGroup & | other | ) | const

Equality operator for QSEGroup.

Parameters

  other | The other QSEGroup to compare to.

Returns
  True if the sets of species indices are identical.

Definition at line 1596 of file engine_multiscale.cpp.

## ◆ operator>()

bool gridfire::MultiscalePartitioningEngineView::QSEGroup::operator> | ( | const QSEGroup & | other | ) | const

Greater-than operator for QSEGroup.

Parameters

  other | The other QSEGroup to compare to.

Returns
  True if this group's mean timescale is greater than the other's.

Definition at line 1604 of file engine_multiscale.cpp.

## Member Data Documentation

## ◆ algebraic_indices

std::set<size_t> gridfire::MultiscalePartitioningEngineView::QSEGroup::algebraic_indices

Indices of algebraic species in this group.

Definition at line 680 of file engine_multiscale.h.

## ◆ is_in_equilibrium

bool gridfire::MultiscalePartitioningEngineView::QSEGroup::is_in_equilibrium = false

Flag set by flux analysis.

Definition at line 679 of file engine_multiscale.h.

## ◆ mean_timescale

double gridfire::MultiscalePartitioningEngineView::QSEGroup::mean_timescale

Mean timescale of the group.

Definition at line 682 of file engine_multiscale.h.

## ◆ seed_indices

std::set<size_t> gridfire::MultiscalePartitioningEngineView::QSEGroup::seed_indices

Indices of dynamic species in this group.

Definition at line 681 of file engine_multiscale.h.

## ◆ species_indices

std::set<size_t> gridfire::MultiscalePartitioningEngineView::QSEGroup::species_indices

Indices of all species in this group.

Definition at line 678 of file engine_multiscale.h.

The documentation for this struct was generated from the following files:

- src/include/gridfire/engine/views/engine_multiscale.h
- src/lib/engine/views/engine_multiscale.cpp